osl::container::BoardMaskTable5x3Center Class Reference

`#include <boardMask.h>`

## Public Member Functions

| BoardMaskTable5x3Center ()
const BoardMask & | mask (Square p) const
| p中心の5x3 の範囲のbitを立てたもの, centering

## Private Attributes

CArray< BoardMask, Square::SIZE > | data

## Detailed Description

Definition at line 127 of file boardMask.h.

## Constructor & Destructor Documentation

## BoardMaskTable5x3Center()

osl::container::BoardMaskTable5x3Center::BoardMaskTable5x3Center | ( |  | ) |

Definition at line 63 of file boardMask.cc.

References osl::Centering5x3::adjustCenter(), data, osl::Square::index(), mask(), osl::Square::x(), and osl::Square::y().

## Member Function Documentation

## mask()

const BoardMask & osl::container::BoardMaskTable5x3Center::mask | ( | Square | p | ) | const

inline

p中心の5x3 の範囲のbitを立てたもの, centering

Definition at line 133 of file boardMask.h.

References data, and osl::Square::index().

Referenced by BoardMaskTable5x3Center().

## Member Data Documentation

## data

CArray<BoardMask, Square::SIZE> osl::container::BoardMaskTable5x3Center::data

private

Definition at line 129 of file boardMask.h.

Referenced by BoardMaskTable5x3Center(), and mask().

The documentation for this class was generated from the following files:

- boardMask.h
- boardMask.cc